Skip to content

List Fingerprints

Fingerprint API supports bulk fetches with pagination, so you can query up to 1000 fingerprints at a time

IMPORTANT

The returned response is limited to 1 MB in size. Therefore, the number of fingerprints returned may be lower than requested

Endpoint

GET /fp?limit={limit}&next={next}

Query parameters

limit
int
next
string

Response body

A JSON object with fingerprints and the next ID for pagination

items
array<object>
required
next
string

Example request

js
const limit = 1000;
const fingerprints = [];
let next = null;
do {
    const params = { limit: limit };
    if (next)
        params.next = next;
        
    const query = new URLSearchParams(params);
    const response = await fetch(`https://api.ateratti.com/fp?${query}`, {
        headers: { "X-Api-Key": "Your API key" }
    });
    
    const data = await response.json();
    fingerprints.push(...data["items"]);
    next = data["next"];
} while (next);

console.log(fingerprints);

Example response

200 OK

json
{
    "items": [
        {
            "id": "c9b03afb-ae3a-4436-9bf0-3f0f4742ba0a",
            "user_id": "450ac6b0-deed-400b-9ca6-308a64565a53",
            "preset": "windows11",
            "seed": "e8c800f0",
            "screen": {
                "w": 1920,
                "h": 1080
            },
            "platform_version": "15.0.0",
            "arch": "x64",
            "cpu": 8,
            "ram": 8,
            "gl_vendor": "Google Inc. (Intel)",
            "gl_renderer": "ANGLE (Intel, Intel(R) HD Graphics 520 (0x00001916) Direct3D11 vs_5_0 ps_5_0, D3D11)"
        },
        {
            "id": "5b8ab286-4278-4e65-8521-b83bc586b063",
            "user_id": "450ac6b0-deed-400b-9ca6-308a64565a53",
            "preset": "windows10",
            "seed": "04024bcf",
            "screen": {
                "w": 1920,
                "h": 1080
            },
            "platform_version": "10.0.0",
            "arch": "x64",
            "cpu": 10,
            "ram": 8,
            "gl_vendor": "Google Inc. (NVIDIA)",
            "gl_renderer": "ANGLE (NVIDIA, NVIDIA GeForce RTX 3060 (0x00002504) Direct3D11 vs_5_0 ps_5_0, D3D11)"
        }
    ],
    "next": "5b8ab286-4278-4e65-8521-b83bc586b063"
}

400 Bad Request

json
{
    "message": "The 'limit' must be a number within the range [1, 1000]"
}

Error responses

CodeDescription
400 Bad RequestThe request is invalid